-- MySQL dump 10.14  Distrib 5.5.41-MariaDB, for Linux (x86_64)
--
-- Host: localhost    Database: bcevent
-- ------------------------------------------------------
-- Server version	5.5.41-MariaDB

--
-- Table structure for table `version`
--

DROP TABLE IF EXISTS `version`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `version` (
  `idx` int(11) NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `version` int(11) NOT NULL DEFAULT '0' COMMENT '版本号',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `version` (`version`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_transaction`
--

DROP TABLE IF EXISTS `t_transaction`;
/*!40101 SET @saved_cs_client      = @@character_set_client */;
/*!40101 SET character_set_client  = utf8 */;
CREATE TABLE `t_transaction` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `account` varchar(60) NOT NULL DEFAULT '' COMMENT '钱包地址',
  `trans_id` varchar(255) COMMENT '事务id',
  `net_id` bigint NOT NULL DEFAULT '0' COMMENT '网络id',
  `data` mediumblob COMMENT 'data',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `trans_id` (`trans_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_used_token_id`
--

DROP TABLE IF EXISTS `t_used_token_id`;
/*!40101 SET @saved_cs_client      = @@character_set_client */;
/*!40101 SET character_set_client  = utf8 */;
CREATE TABLE `t_used_token_id` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `account` varchar(60) NOT NULL DEFAULT '' COMMENT '钱包地址',
  `token_id` varchar(60) NOT NULL DEFAULT '' COMMENT 'token_id',
  `trans_id` varchar(255) COMMENT '事务id',
  `net_id` bigint NOT NULL DEFAULT '0' COMMENT '网络id',
  `confirmed` int(11) NOT NULL DEFAULT '0' COMMENT '是否被确认',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `token_id` (`token_id`),
  UNIQUE KEY `trans_id` (`trans_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_log`
--

DROP TABLE IF EXISTS `t_log`;
/*!40101 SET @saved_cs_client      = @@character_set_client */;
/*!40101 SET character_set_client  = utf8 */;
CREATE TABLE `t_log` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `type` varchar(255) NOT NULL DEFAULT '' COMMENT '日志类型',
  `subtype` varchar(255) NOT NULL DEFAULT '' COMMENT '日志子类型',
  `net_id` bigint NOT NULL DEFAULT '0' COMMENT '网络id',
  `param1` mediumblob COMMENT 'param1',
  `param2` mediumblob COMMENT 'param2',
  `param3` mediumblob COMMENT 'param3',
  `param4` mediumblob COMMENT 'param4',
  `param5` mediumblob COMMENT 'param5',
  `param6` mediumblob COMMENT 'param6',
  `param7` mediumblob COMMENT 'param7',
  `param8` mediumblob COMMENT 'param8',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_blockchain_event`
--

DROP TABLE IF EXISTS `t_blockchain_event`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_blockchain_event` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `txhash` varchar(255) NOT NULL DEFAULT '' COMMENT 'txhash',
  `log_index` bigint NOT NULL DEFAULT '0' COMMENT 'log_index',
  `hash_code` varchar(60) NOT NULL DEFAULT '' COMMENT 'hash_code',
  `net_id` bigint NOT NULL DEFAULT '0' COMMENT 'net_id',
  `event_name` varchar(60) NOT NULL DEFAULT '' COMMENT 'event_name',
  `contract_address` varchar(60) NOT NULL DEFAULT '' COMMENT 'contract_address',
  `contract_name` varchar(60) NOT NULL DEFAULT '' COMMENT 'contract_name',
  `block_number` bigint NOT NULL DEFAULT '0' COMMENT 'block_number',
  `raw_data` mediumblob COMMENT 'raw_data',
  `return_values` mediumblob COMMENT 'return_values',
  `block_data` mediumblob COMMENT 'block_data',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `unikey` (`txhash`, `hash_code`, `log_index`, `net_id`, `event_name`, `contract_address`),
  KEY `idx_contract_address_event_name` (`contract_address`, `event_name`),
  KEY `net_id_event_name_contract_address` (`net_id`, `event_name`, `contract_address`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_last_block`
--

DROP TABLE IF EXISTS `t_last_block`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_last_block` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `net_id` bigint NOT NULL DEFAULT '0' COMMENT 'net_id',
  `contract_address` varchar(60) NOT NULL DEFAULT '' COMMENT 'contract_address',
  `contract_name` varchar(60) NOT NULL DEFAULT '' COMMENT 'contract_name',
  `event_name` varchar(60) NOT NULL DEFAULT '' COMMENT 'event_name',
  `block_number` bigint NOT NULL DEFAULT '0' COMMENT 'block_number',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `unikey` (`net_id`, `contract_address`, `event_name`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_blockchain_event`
--

DROP TABLE IF EXISTS `t_blockchain_event`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_blockchain_event` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `txhash` varchar(255) NOT NULL DEFAULT '' COMMENT 'txhash',
  `log_index` bigint NOT NULL DEFAULT '0' COMMENT 'log_index',
  `hash_code` varchar(60) NOT NULL DEFAULT '' COMMENT 'hash_code',
  `net_id` bigint NOT NULL DEFAULT '0' COMMENT 'net_id',
  `event_name` varchar(60) NOT NULL DEFAULT '' COMMENT 'event_name',
  `contract_address` varchar(60) NOT NULL DEFAULT '' COMMENT 'contract_address',
  `contract_name` varchar(60) NOT NULL DEFAULT '' COMMENT 'contract_name',
  `block_number` bigint NOT NULL DEFAULT '0' COMMENT 'block_number',
  `raw_data` mediumblob COMMENT 'raw_data',
  `return_values` mediumblob COMMENT 'return_values',
  `block_data` mediumblob COMMENT 'block_data',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `unikey` (`txhash`, `hash_code`, `log_index`, `net_id`, `event_name`, `contract_address`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_dbpull_last_idx`
--

DROP TABLE IF EXISTS `t_dbpull_last_idx`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_dbpull_last_idx` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `net_id` bigint NOT NULL DEFAULT '0' COMMENT 'net_id',
  `contract_address` varchar(60) NOT NULL DEFAULT '' COMMENT 'contract_address',
  `contract_name` varchar(60) NOT NULL DEFAULT '' COMMENT 'contract_name',
  `event_name` varchar(60) NOT NULL DEFAULT '' COMMENT 'event_name',
  `last_idx` bigint NOT NULL DEFAULT '0' COMMENT 'last_idx',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `unikey` (`net_id`, `contract_address`, `event_name`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_dbprocess_last_idx`
--

DROP TABLE IF EXISTS `t_dbprocess_last_idx`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_dbprocess_last_idx` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `net_id` bigint NOT NULL DEFAULT '0' COMMENT 'net_id',
  `contract_address` varchar(60) NOT NULL DEFAULT '' COMMENT 'contract_address',
  `contract_name` varchar(60) NOT NULL DEFAULT '' COMMENT 'contract_name',
  `event_name` varchar(60) NOT NULL DEFAULT '' COMMENT 'event_name',
  `last_idx` bigint NOT NULL DEFAULT '0' COMMENT 'last_idx',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `unikey` (`net_id`, `contract_address`, `event_name`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_erc721_refresh`
--

DROP TABLE IF EXISTS `t_erc721_refresh`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_erc721_refresh` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `net_id` bigint NOT NULL DEFAULT '0' COMMENT 'net_id',
  `contract_address` varchar(60) NOT NULL DEFAULT '' COMMENT 'contract_address',
  `contract_name` varchar(60) NOT NULL DEFAULT '' COMMENT 'contract_name',
  `token_id` varchar(60) NOT NULL DEFAULT '' COMMENT 'token_id',
  `status` int(11) NOT NULL DEFAULT '0' COMMENT '0: dirty',
  `refresh_count` bigint NOT NULL DEFAULT '0' COMMENT 'refresh_count',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `unikey` (`net_id`, `contract_address`, `token_id`),
  KEY `net_id_contract_address_state` (`net_id`, `contract_address`, `status`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_721nft_transfer`
--

DROP TABLE IF EXISTS `t_721nft_transfer`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_721nft_transfer` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `txhash` varchar(255) NOT NULL DEFAULT '' COMMENT 'txhash',
  `log_index` bigint NOT NULL DEFAULT '0' COMMENT 'log_index',
  `hash_code` varchar(60) NOT NULL DEFAULT '' COMMENT 'hash_code',
  `net_id` bigint NOT NULL DEFAULT '0' COMMENT 'net_id',
  `event_name` varchar(60) NOT NULL DEFAULT '' COMMENT 'event_name',
  `contract_address` varchar(60) NOT NULL DEFAULT '' COMMENT 'contract_address',
  `contract_name` varchar(60) NOT NULL DEFAULT '' COMMENT 'contract_name',
  `block_number` bigint NOT NULL DEFAULT '0' COMMENT 'block_number',
  `return_values` mediumblob COMMENT 'return_values',
  `block_data` mediumblob COMMENT 'block_data',
  `src_idx` bigint NOT NULL DEFAULT '0' COMMENT 'src_idx',
  `status` int(11) NOT NULL DEFAULT '0' COMMENT 'status 0：待处理 1：已处理',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `unikey` (`txhash`, `hash_code`, `log_index`, `net_id`, `event_name`, `contract_address`),
  KEY `net_id_event_name_contract_address` (`net_id`, `event_name`, `contract_address`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_721nft_spec_transfer`
--

DROP TABLE IF EXISTS `t_721nft_spec_transfer`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_721nft_spec_transfer` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `net_id` bigint NOT NULL DEFAULT '0' COMMENT 'net_id',
  `contract_address` varchar(60) NOT NULL DEFAULT '' COMMENT 'contract_address',
  `token_id` varchar(60) NOT NULL DEFAULT '' COMMENT 'token_id',
  `from_address` varchar(60) NOT NULL DEFAULT '' COMMENT 'from_address',
  `to_address` varchar(60) NOT NULL DEFAULT '' COMMENT 'to_address',
  `status` int(11) NOT NULL DEFAULT '0' COMMENT 'status 0：待处理 1：已处理',
  `src_idx` bigint NOT NULL DEFAULT '0' COMMENT 'src_idx',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY (`src_idx`),
  KEY `idx_net_id_contract_address_status` (`net_id`, `contract_address`, `status`),
  KEY `idx_createtime` (`createtime`),
  KEY `idx_status` (`status`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_nftmarket`
--

DROP TABLE IF EXISTS `t_nftmarket`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_nftmarket` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `txhash` varchar(255) NOT NULL DEFAULT '' COMMENT 'txhash',
  `log_index` bigint NOT NULL DEFAULT '0' COMMENT 'log_index',
  `hash_code` varchar(60) NOT NULL DEFAULT '' COMMENT 'hash_code',
  `net_id` bigint NOT NULL DEFAULT '0' COMMENT 'net_id',
  `event_name` varchar(60) NOT NULL DEFAULT '' COMMENT 'event_name',
  `contract_address` varchar(60) NOT NULL DEFAULT '' COMMENT 'contract_address',
  `contract_name` varchar(60) NOT NULL DEFAULT '' COMMENT 'contract_name',
  `block_number` bigint NOT NULL DEFAULT '0' COMMENT 'block_number',
  `return_values` mediumblob COMMENT 'return_values',
  `block_data` mediumblob COMMENT 'block_data',
  `src_idx` bigint NOT NULL DEFAULT '0' COMMENT 'src_idx',
  `status` int(11) NOT NULL DEFAULT '0' COMMENT 'status 0：待处理 1：已处理',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `unikey` (`txhash`, `hash_code`, `log_index`, `net_id`, `event_name`, `contract_address`),
  KEY `net_id_event_name_contract_address` (`net_id`, `event_name`, `contract_address`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_gameitemmall`
--

DROP TABLE IF EXISTS `t_gameitemmall`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_gameitemmall` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `txhash` varchar(255) NOT NULL DEFAULT '' COMMENT 'txhash',
  `log_index` bigint NOT NULL DEFAULT '0' COMMENT 'log_index',
  `hash_code` varchar(60) NOT NULL DEFAULT '' COMMENT 'hash_code',
  `net_id` bigint NOT NULL DEFAULT '0' COMMENT 'net_id',
  `event_name` varchar(60) NOT NULL DEFAULT '' COMMENT 'event_name',
  `contract_address` varchar(60) NOT NULL DEFAULT '' COMMENT 'contract_address',
  `contract_name` varchar(60) NOT NULL DEFAULT '' COMMENT 'contract_name',
  `block_number` bigint NOT NULL DEFAULT '0' COMMENT 'block_number',
  `return_values` mediumblob COMMENT 'return_values',
  `block_data` mediumblob COMMENT 'block_data',
  `src_idx` bigint NOT NULL DEFAULT '0' COMMENT 'src_idx',
  `status` int(11) NOT NULL DEFAULT '0' COMMENT 'status 0：待处理 1：已处理',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `unikey` (`txhash`, `hash_code`, `log_index`, `net_id`, `event_name`, `contract_address`),
  KEY `net_id_event_name_contract_address` (`net_id`, `event_name`, `contract_address`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_gameitemmarket`
--

DROP TABLE IF EXISTS `t_gameitemmarket`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_gameitemmarket` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `txhash` varchar(255) NOT NULL DEFAULT '' COMMENT 'txhash',
  `log_index` bigint NOT NULL DEFAULT '0' COMMENT 'log_index',
  `hash_code` varchar(60) NOT NULL DEFAULT '' COMMENT 'hash_code',
  `net_id` bigint NOT NULL DEFAULT '0' COMMENT 'net_id',
  `event_name` varchar(60) NOT NULL DEFAULT '' COMMENT 'event_name',
  `contract_address` varchar(60) NOT NULL DEFAULT '' COMMENT 'contract_address',
  `contract_name` varchar(60) NOT NULL DEFAULT '' COMMENT 'contract_name',
  `block_number` bigint NOT NULL DEFAULT '0' COMMENT 'block_number',
  `return_values` mediumblob COMMENT 'return_values',
  `block_data` mediumblob COMMENT 'block_data',
  `src_idx` bigint NOT NULL DEFAULT '0' COMMENT 'src_idx',
  `status` int(11) NOT NULL DEFAULT '0' COMMENT 'status 0：待处理 1：已处理',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `unikey` (`txhash`, `hash_code`, `log_index`, `net_id`, `event_name`, `contract_address`),
  KEY `net_id_event_name_contract_address` (`net_id`, `event_name`, `contract_address`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_active_721nft`
--

DROP TABLE IF EXISTS `t_active_721nft`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_active_721nft` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `txhash` varchar(255) NOT NULL DEFAULT '' COMMENT 'txhash',
  `log_index` bigint NOT NULL DEFAULT '0' COMMENT 'log_index',
  `hash_code` varchar(60) NOT NULL DEFAULT '' COMMENT 'hash_code',
  `net_id` bigint NOT NULL DEFAULT '0' COMMENT 'net_id',
  `event_name` varchar(60) NOT NULL DEFAULT '' COMMENT 'event_name',
  `contract_address` varchar(60) NOT NULL DEFAULT '' COMMENT 'contract_address',
  `contract_name` varchar(60) NOT NULL DEFAULT '' COMMENT 'contract_name',
  `block_number` bigint NOT NULL DEFAULT '0' COMMENT 'block_number',
  `return_values` mediumblob COMMENT 'return_values',
  `block_data` mediumblob COMMENT 'block_data',
  `src_idx` bigint NOT NULL DEFAULT '0' COMMENT 'src_idx',
  `status` int(11) NOT NULL DEFAULT '0' COMMENT 'status 0：待处理 1：已处理',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `unikey` (`txhash`, `hash_code`, `log_index`, `net_id`, `event_name`, `contract_address`),
  KEY `net_id_event_name_contract_address` (`net_id`, `event_name`, `contract_address`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_erc721_staking`
--

DROP TABLE IF EXISTS `t_erc721_staking`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_erc721_staking` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `txhash` varchar(255) NOT NULL DEFAULT '' COMMENT 'txhash',
  `log_index` bigint NOT NULL DEFAULT '0' COMMENT 'log_index',
  `hash_code` varchar(60) NOT NULL DEFAULT '' COMMENT 'hash_code',
  `net_id` bigint NOT NULL DEFAULT '0' COMMENT 'net_id',
  `event_name` varchar(60) NOT NULL DEFAULT '' COMMENT 'event_name',
  `contract_address` varchar(60) NOT NULL DEFAULT '' COMMENT 'contract_address',
  `contract_name` varchar(60) NOT NULL DEFAULT '' COMMENT 'contract_name',
  `block_number` bigint NOT NULL DEFAULT '0' COMMENT 'block_number',
  `return_values` mediumblob COMMENT 'return_values',
  `block_data` mediumblob COMMENT 'block_data',
  `src_idx` bigint NOT NULL DEFAULT '0' COMMENT 'src_idx',
  `status` int(11) NOT NULL DEFAULT '0' COMMENT 'status 0：待处理 1：已处理',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `unikey` (`txhash`, `hash_code`, `log_index`, `net_id`, `event_name`, `contract_address`),
  KEY `net_id_event_name_contract_address` (`net_id`, `event_name`, `contract_address`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_webhook_event`
--

DROP TABLE IF EXISTS `t_webhook_event`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_webhook_event` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `event_name` varchar(255) NOT NULL DEFAULT '' COMMENT 'event_name',
  `event_id` varchar(255) NOT NULL DEFAULT '' COMMENT 'event_id',
  `chain` varchar(255) NOT NULL DEFAULT '' COMMENT 'chain',
  `raw_data` mediumblob COMMENT 'raw_data',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `event_id` (`event_id`),
  KEY `idx_event_name` (`event_name`),
  KEY `idx_chain` (`chain`),
  KEY `idx_event_name_chain` (`event_name`, `chain`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_webhook_process_last_idx`
--

DROP TABLE IF EXISTS `t_webhook_process_last_idx`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_webhook_process_last_idx` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `event_name` varchar(255) NOT NULL DEFAULT '' COMMENT 'event_name',
  `last_idx` bigint NOT NULL DEFAULT '0' COMMENT 'last_idx',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `unikey` (`event_name`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_nft_lock_event`
--

DROP TABLE IF EXISTS `t_nft_lock_event`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_nft_lock_event` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `txhash` varchar(255) NOT NULL DEFAULT '' COMMENT 'txhash',
  `log_index` bigint NOT NULL DEFAULT '0' COMMENT 'log_index',
  `hash_code` varchar(60) NOT NULL DEFAULT '' COMMENT 'hash_code',
  `net_id` bigint NOT NULL DEFAULT '0' COMMENT 'net_id',
  `event_name` varchar(60) NOT NULL DEFAULT '' COMMENT 'event_name',
  `contract_address` varchar(60) NOT NULL DEFAULT '' COMMENT 'contract_address',
  `contract_name` varchar(60) NOT NULL DEFAULT '' COMMENT 'contract_name',
  `block_number` bigint NOT NULL DEFAULT '0' COMMENT 'block_number',
  `return_values` mediumblob COMMENT 'return_values',
  `block_data` mediumblob COMMENT 'block_data',
  `src_idx` bigint NOT NULL DEFAULT '0' COMMENT 'src_idx',
  `status` int(11) NOT NULL DEFAULT '0' COMMENT 'status 0：待处理 1：已处理',
  `nft_sync_status` int(11) NOT NULL DEFAULT '0' COMMENT 'nft_sync_status 0：待处理 1：已处理',
  `nft_use_status` int(11) NOT NULL DEFAULT '0' COMMENT 'nft_sync_status 0：待处理 1：已处理',
  `lock_sender` varchar(60) NOT NULL DEFAULT '' COMMENT 'lock_sender',
  `lock_to` varchar(60) NOT NULL DEFAULT '' COMMENT 'lock_to',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `unikey` (`txhash`, `hash_code`, `log_index`, `net_id`, `event_name`, `contract_address`),
  KEY `idx_nft_sync_status` (`nft_sync_status`),
  KEY `idx_nft_use_status` (`nft_use_status`),
  KEY `idx_net_id_event_name_contract_address_status` (`net_id`, `event_name`, `contract_address`, `status`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_chain_activity`
--

DROP TABLE IF EXISTS `t_chain_activity`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_chain_activity` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `txhash` varchar(255) NOT NULL DEFAULT '' COMMENT 'txhash',
  `log_index` bigint NOT NULL DEFAULT '0' COMMENT 'log_index',
  `net_id` bigint NOT NULL DEFAULT '0' COMMENT 'net_id',
  `event_name` varchar(60) NOT NULL DEFAULT '' COMMENT 'event_name',
  `contract_address` varchar(60) NOT NULL DEFAULT '' COMMENT 'contract_address',
  `nft_contract_address` varchar(60) NOT NULL DEFAULT '' COMMENT 'nft_contract_address',
  `token_id` varchar(60) NOT NULL DEFAULT '' COMMENT 'token_id',
  `src_idx` bigint NOT NULL DEFAULT '0' COMMENT 'src_idx',
  `sender_address` varchar(60) NOT NULL DEFAULT '' COMMENT 'sender_address',
  `to_address` varchar(60) NOT NULL DEFAULT '' COMMENT 'to_address',
  `is_mint` int(11) NOT NULL DEFAULT '0' COMMENT 'is_mint',
  `quality` int(11) NOT NULL DEFAULT '0' COMMENT 'quality',
  `item_id` int(11) NOT NULL DEFAULT '0' COMMENT '道具id',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `unikey` (`txhash`, `log_index`, `net_id`, `event_name`, `contract_address`, `token_id`),
  KEY `idx_createtime` (`createtime`),
  KEY `idx_sender_address` (`sender_address`),
  KEY `idx_to_address` (`to_address`),
  KEY `idx_item_id` (`item_id`),
  KEY `idx_quality` (`quality`),
  KEY `idx_net_id` (`net_id`),
  KEY `idx_contract_address` (`contract_address`),
  KEY `idx_nft_contract_address` (`nft_contract_address`),
  KEY `idx_token_id` (`token_id`),
  KEY `idx_event_name` (`event_name`),
  KEY `idx_is_mint` (`is_mint`),
  KEY `idx_txhash` (`txhash`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_param`
--

DROP TABLE IF EXISTS `t_param`;
/*!40101 SET @saved_cs_client      = @@character_set_client */;
/*!40101 SET character_set_client  = utf8 */;
CREATE TABLE `t_param` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `name` varchar(666) NOT NULL DEFAULT '' COMMENT 'name',
  `val` text NOT NULL DEFAULT '' COMMENT 'val',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  KEY `idx_name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_recharge`
--

DROP TABLE IF EXISTS `t_recharge`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_recharge` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `txhash` varchar(255) NOT NULL DEFAULT '' COMMENT 'txhash',
  `log_index` bigint NOT NULL DEFAULT '0' COMMENT 'log_index',
  `net_id` bigint NOT NULL DEFAULT '0' COMMENT 'net_id',
  `contract_address` varchar(60) NOT NULL DEFAULT '' COMMENT 'contract_address',
  `src_idx` bigint NOT NULL DEFAULT '0' COMMENT 'src_idx',
  `buyer` varchar(60) NOT NULL DEFAULT '' COMMENT 'buyer',
  `passport` varchar(60) NOT NULL DEFAULT '' COMMENT 'passport',
  `order_id` varchar(80) NOT NULL DEFAULT '' COMMENT 'order_id',
  `currency` varchar(60) NOT NULL DEFAULT '' COMMENT 'currency',
  `amount` varchar(80) NOT NULL DEFAULT '' COMMENT 'amount',
  `status` int(11) NOT NULL DEFAULT '0' COMMENT '0:未更新订单状态 1:已更新订单状态',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `unikey` (`txhash`, `log_index`, `net_id`, `contract_address`),
  KEY `idx_passport_status` (`passport`, `status`),
  KEY `idx_order_id` (`order_id`),
  KEY `idx_status` (`status`),
  KEY `idx_txhash` (`txhash`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_staking_cec_record`
--

DROP TABLE IF EXISTS `t_staking_cec_record`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_staking_cec_record` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `txhash` varchar(255) NOT NULL DEFAULT '' COMMENT 'txhash',
  `log_index` bigint NOT NULL DEFAULT '0' COMMENT 'log_index',
  `net_id` bigint NOT NULL DEFAULT '0' COMMENT 'net_id',
  `contract_address` varchar(60) NOT NULL DEFAULT '' COMMENT 'contract_address',
  `src_idx` bigint NOT NULL DEFAULT '0' COMMENT 'src_idx',
  `event_name` varchar(60) NOT NULL DEFAULT '' COMMENT 'StakeCec或者UnstakeCec',
  `account_address` varchar(60) NOT NULL DEFAULT '' COMMENT '钱包地址',
  `token_address` varchar(60) NOT NULL DEFAULT '' COMMENT 'cec地址(cec escec)',
  `amount` varchar(60) NOT NULL DEFAULT '' COMMENT '数量',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  KEY `idx_account_address` (`account_address`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;
