const log = require('j7/log');
const bcutils = require('j7/bcutils');
const utils = require('j7/utils');
const bcconst = require('common/bcconst');
const BaseEventProcess = require('../common/BaseEventProcess');
const metaFactory = require('../../../metadata/factory');

class Transfer extends BaseEventProcess {

  async start() {
    const returnValues = this.getReturnValues();
    const from = bcutils.toNormalAddress(returnValues['from']);
    const to = bcutils.toNormalAddress(returnValues['to']);
    const tokenId = returnValues['tokenId'];

    await this.mustBeMint(to, tokenId, bcconst.BC_NFT_FOUNDER_TAG);
    if (bcutils.isSysAddress(from)) {
    } else {
      await this.add721NftRefresh
      (
        this.getNetId(),
        this.getContractAddress(),
        this.getContractName(),
        tokenId
      );
    }
    const itemMeta = metaFactory.getMetaByKey('FounderTag', tokenId);
    if (itemMeta) {
      await this.adjustQuality(tokenId, itemMeta.getQuality());
    }
    await this.update721NftOwner(tokenId, this.getContractAddress(), to, from);
    await this.markOk();
  }

}

module.exports = Transfer;
