const app = require('j7/app');
const utils = require('j7/utils');
const base64url = require('base64url');
const fastJwt = require('fast-jwt');

const publicKey = `-----BEGIN PUBLIC KEY-----
MCowBQYDK2VwAyEAySgE/YiiI2fzpXaco+OWeDAKymEoqqLYYb6RKOEU1n8=
-----END PUBLIC KEY-----`;

async function verify(session) {
  try {
    const postData = session.getBody();
    const strArr = postData['data'].split('.');
    strArr.splice(strArr.length - 1, 1);
    const token = strArr.join('.');
    const verifier = fastJwt.createVerifier({
      algorithms: ['EdDSA'],
      key: publicKey
    });
    console.log(verifier(token));
    session.rspData({
      'decoded': verifier(token)
    });
  } catch (e) {
    session.rspErr(1, e);
  }
}

function init() {
  app.registerHandler('MetaMaskJwt', 'verify', verify);
}

exports.init = init;
